China factories

JYLIGHTING Nordic Modern Luxury LED Chandelier Home & Hotel Decorative Hanging Lamp for Bar & Restaurant Pendant Lights Modern Pendant Light

Price: Negotiable Get Latest Price
  • Brand Name: JYLIGHTING
  • Model Number: JYL-D1313
  • Minimum Order Quantity: 1PCS
  • Delivery Time: 15 days after received the advance payment
  • view more

Large Glass Stone Light Luxury Art Custom Chandeliers For Hotel Stair Hanging Lamp

Price: Negotiable Get Latest Price
  • Brand Name: ZSHONORHIGH, SIDEREAL
  • Model Number: Negotiable
  • Minimum Order Quantity: 10pcs
  • Delivery Time: 25-30days or confirm
  • view more

Modern LED Pendant Lights Glass Hanging Lamps Living Room Light Fixtures Hotel Restaurant nordic chandelier(WH-GP-61)

Price: 1-100USD Get Latest Price
  • Brand Name: Well House (LTCELE)
  • Model Number: WH-GP-61
  • Minimum Order Quantity: 1pcs
  • Delivery Time: 15-30 days
  • view more

Nordic Light Luxury Chandelier Creative gold hang lamp decorative glass pendant lamp

Price: L120*W120*H120mm , 1piece, 19.45USD Get Latest Price
  • Brand Name: BOLITE
  • Model Number: B2016
  • Minimum Order Quantity: 5Pieces
  • Delivery Time: 7-25DAYS
  • view more

Creative Led Floating Clouds Chandeliers Hanging Lamps White Nordic Lamp Modern

Price: Negotiable Get Latest Price
  • Brand Name: HAFE
  • Model Number: CL15
  • Minimum Order Quantity: 1unit
  • Delivery Time: 5-8 Working Days
  • view more

Hafe International Limited

Hong kong ,Hong kong

  • 9YRS
  • Verified Supplier

Modern Nordic Art Designer Table Lamp Model Room Hotel Decorative Table Lamp

Price: Negotiable Get Latest Price
  • Brand Name: GRH
  • Model Number: GRH-RFC1157,GRH-RFC1151,GRH-RFC1157,GRH-RFC1136
  • Minimum Order Quantity: 1000 PCS
  • Delivery Time: Negotiable
  • view more

Nordic Curved Back Dining Chair Curved Back Wooden Dining Chair

Price: Negotiable, price based on project & specifications Get Latest Price
  • Brand Name: Qianrui
  • Model Number: DC2064B03
  • Minimum Order Quantity: Negotiable
  • Delivery Time: 30-45
  • view more

Adjustable Stainless Steel Wire Rope Screw Copper Cable Grippers Hardware Accessories For Hanging Lamps

Price: Negotiation Get Latest Price
  • Brand Name: W-mate
  • Model Number: WR21061604
  • Minimum Order Quantity: 1000pcs
  • Delivery Time: 10-15Work Days
  • view more

Both End Adjustable External Thread Suspension Kits for Hanging Lamps Wire Rope

Price: 0.5-0.8 Get Latest Price
  • Brand Name: Negotiable
  • Model Number: Negotiable
  • Minimum Order Quantity: 200
  • Delivery Time: 10 work days ,depends on the quantity
  • view more

Battery operated camping light,Hanging lamp,size 10.6 x 10.6 x 25cm

Price: USD2.45-2.55/pc Get Latest Price
  • Brand Name: Pinbo
  • Model Number: PT92550
  • Minimum Order Quantity: 1,000pcs
  • Delivery Time: 25 days after received your payment
  • view more

Fve Star Hotel Top Hanging Operable Temporary Movable Partition Walls

Price: USD86-140/m² Get Latest Price
  • Brand Name: EBUNGE
  • Model Number: Type 65 movable partition walls
  • Minimum Order Quantity: 1 square meter
  • Delivery Time: Negotiable
  • view more

One Four Steel Hanging Wire System For Plants Potted And Hang Lamps 4 Legs X6-604-S

Price: $0.33~$0.42 Get Latest Price
  • Brand Name: YUYANG
  • Model Number: X6-604-S
  • Minimum Order Quantity: 300
  • Delivery Time: 7-18 days
  • view more

Led Hotel Reading Wall Lamps with On/Off Switch and USB Charger Port Made of Aluminum

Price: $7.50/pieces 500-1999 pieces Get Latest Price
  • Brand Name: SUNSHINING
  • Model Number: SL-W008
  • Minimum Order Quantity: 500 pieces
  • Delivery Time: Negotiable
  • view more

Soft Floating Clouds Pendant Balloon Light Romantic Droplight Silk Cotton Hanging Lamp

Price: Negotiable Get Latest Price
  • Brand Name: Fenigal/NA
  • Model Number: Muse HA2000
  • Minimum Order Quantity: Negotiable
  • Delivery Time: 10~14 working days or bulk order negotiate
  • view more

stove fireplace carbon steel burning stove for hotels indoor hanging fireplace contemporary

Price: USD1200-1320/ piece Get Latest Price
  • Brand Name: LFSS
  • Model Number: Wood Charcoal Suspended Fireplace
  • Minimum Order Quantity: 1 Set
  • Delivery Time: 25 days after deposit received
  • view more

Hotel Agarwood Aroma Lamp Fragrance With Essential Oil Diffuser 7.5cm Diameter

Price: Negotiable Get Latest Price
  • Brand Name: Negotiable
  • Model Number: SP00800
  • Minimum Order Quantity: 100pcs
  • Delivery Time: 12days
  • view more

Modern Crystal Chandelier Luxury Contemporary Villa Crystal Decorative Hang Lamp Chandelier for Living Dining

Price: Negotiation Get Latest Price
  • Brand Name: Yihaowo
  • Model Number: YH-1101-33
  • Minimum Order Quantity: 1PC
  • Delivery Time: 10-30 working days
  • view more

1*7 316 Stainless Steel Wire Rope With PVC Nylon Coating For Hanging Lamp

Price: Negotiation Get Latest Price
  • Brand Name: Suyang
  • Model Number: 1*19 Coating
  • Minimum Order Quantity: 5000 Meters
  • Delivery Time: 15-30 days
  • view more

SUYANG CO.,LTD

Taizhou ,Jiangsu

  • 2YRS
  • Verified Supplier

Hanging Lamp Special 6*7 FC Carbon Steel/Stainless Steel Wire Rope with Fiber Core

Price: Negotiable Get Latest Price
  • Brand Name: Honghao
  • Model Number: HHXX-155
  • Minimum Order Quantity: 2000Meters
  • Delivery Time: 7-30days according to quantity
  • view more